AuSoundCreateDataFromBucket(3)

Name
AuSoundCreateDataFromBucket - copy the data from a bucket into local memory.

Synopsis
#include <audio/audiolib.h>
#include <audio/soundlib.h>

AuPointer AuSoundCreateDataFromBucket(server, bucket, sound, status)
    AuServer *server;
    AuBucketID bucket;
    Sound *sound; /* RETURN */
    AuStatus *status; /* RETURN */

Arguments

server
    Specifies the connection to the audio server.

bucket
    Specifies the bucket to get the data from.

sound
    Returns the description of the audio data.

status
    If non-NULL, flush the output buffer and return the status from the server.

Description
AuSoundCreateDataFromBucket reads the audio data from bucket and returns a pointer to data or NULL if there was an error.

Errors
AuBadBucket.

See Also
AuSoundCreateFileFromBucket.

audiolib - Network Audio System C Language Interface